summaryrefslogtreecommitdiffstats
path: root/check.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-11-23 23:23:51 (EST)
committer P. J. McDermott <pj@pehjota.net>2014-11-23 23:23:51 (EST)
commit58c4c89a46e6a5502c21362b39467be3f47d671e (patch)
tree6779f76d49bd83cb11a9cb0347407cb86e3c0597 /check.sh
Initial commit
This is scripts/kconfig/ from commit f33a3fa in Linux.
Diffstat (limited to 'check.sh')
-rwxr-xr-xcheck.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/check.sh b/check.sh
new file mode 100755
index 0000000..55b79ba
--- /dev/null
+++ b/check.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -x c -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi